% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/networkconnection.R
\name{NetworkConnection}
\alias{NetworkConnection}
\title{Identifies and connects dangles in network generated by Network Nav function}
\usage{
NetworkConnection(incom, nhd, status = FALSE)
}
\arguments{
\item{inCOM}{list list of input COMIDs}

\item{nhdDF}{sf data.frame (data frame) valid data frame of NHD flowlines}
}
\value{
(list) list of COMIDs connecting dangle to existing network
}
\description{
Identifies and connects dangles in network generated by Network Nav function
}
\examples{
source(system.file("extdata", "sample_flines.R", package = "nhdplusTools"))

sample_flines <- nhdplusTools::prepare_nhdplus(sample_flines, 0, 0, 0, FALSE) \%>\%
  left_join(select(sample_flines, COMID, DnHydroseq, DnLevelPat, Pathlength))

comid <- sample(sample_flines$COMID, 10)

NetworkConnection(comid, sample_flines)
}
